
function [Data, codeData,tsc] = ReadDataNews_levels_long_luca

[x,text] = xlsread('dataset_old_new.xlsx','Foglio1','B6:DM213');
tsc = xlsread('dataset_old_new.xlsx','Foglio1','B4:DM4');
tsc
for i=1:size(x,2)
    if     tsc(i) == 0
        data(:,i) = x(1:end,i);
        codeData(i)= 0;
    elseif tsc(i) == 1
        data(:,i) = 100*log(x(1:end,i));
        codeData(i) = 1;
    end
%     elseif tsc(i)== 4
%         data(:,i) = 100*log(x(1:end,i));
%         codeData(i) = 0;
%     elseif tsc(i) == 5
%         data(:,i) = 100*log(x(1:end,i));
%         codeData(i) = 1;
%     elseif tsc(i) == 6
%         data(:,i) = 100*log(x(:,i));
%         codeData(i) = 2;
%     end
end

%Data = removeoutliers(data);
Data = data;
